package com.yc.ship.module.trade.dal.mysql.order;

import com.baomidou.mybatisplus.core.metadata.IPage;

import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.module.trade.controller.admin.order.vo.check.CheckRespVO;
import com.yc.ship.module.trade.controller.admin.order.vo.check.TradeCheckPageReqVO;
import com.yc.ship.module.trade.dal.dataobject.order.TradeCheckDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 订单核销记录 Mapper
 *
 * @author 管理员
 */
@Mapper
public interface TradeCheckMapper extends BaseMapperX<TradeCheckDO> {


    Integer getCarNumById(@Param("dispatchId") Long dispatchId);
    Integer getBoatNumById(@Param("dispatchId") Long dispatchId);
    List<Map<String, Object>> getBatchCarNumById(@Param("dispatchIds") List<Long> dispatchIds);
    List<Map<String, Object>> getBatchBoatNumById(@Param("dispatchIds") List<Long> dispatchIds);

    Integer pdaCheckTotalCount(@Param("dispatchId") String dispatchId);


    IPage<CheckRespVO> querySimpleCheckPage(IPage<CheckRespVO> iPage, @Param("param") TradeCheckPageReqVO pageReqVO);

}
